# queryToObject

#### queryToObject(queryString) → Object
Core/queryToObject.js 33

  Parses a query string into an object, where the keys and values of the object are the name/value pairs from the query string, decoded. If a name appears multiple times, the value in the object will be an array of values.

  Name | Type | Description
  --- | --- | ---
  `queryString` | String | The query string.

  ##### Returns:

  An object containing the parameters parsed from the query string.

  ##### Example:

      var obj = Cesium.queryToObject('key1=some%20value&key2=a%2Fb&key3=x&key3=y');
      // obj will be:
      // {
      //   key1 : 'some value',
      //   key2 : 'a/b',
      //   key3 : ['x', 'y']
      // }

  ##### See:

  - objectToQuery